%define name smeserver-net2ftp
%define version 0.95
%define release 1
%define rpmver   4.0.4

Summary:            net2ftp web based ftp client Web Application for SME Server 7.x based on net2ftp 0-95
Name:               %{name}
Version:            %{version}
Release:            %{release}
Copyright:          GPL
Group:              /Web/Applications
Source:             %{name}-%{version}.tar.gz
Packager:           Dietmar Berteld  <dietmar@berteld.com>
URL:                http://www.net2ftp.com
BuildRoot:          /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires:           e-smith-base, e-smith-release >= 7

%description
This RPM is an unofficial addon for the SME Server 7.x.  
The target audience is the Linux/E-smith administrator 
who wants to add a web based ftp client .
After installation open your webbrowser your local site                                                                                       
https://your_e-smith-server_adress/net2ftp



%changelog
* Wed May 30 2007 Dietmar Berteld <dietmar@berteld.com>
- [0.95-1] Initial version

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
/bin/rm -rf $RPM_BUILD_ROOT
(/usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist


%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post
# General Information
APP=net2ftp
URL=net2ftp
WORKDIR=/root
HTMLDIR=/opt/net2ftp
DOMAINE=$(/sbin/e-smith/db configuration get DomainName)


# Unzipping files
unzip -q /net2ftp_v0.95.zip -d /opt
mv /opt/net2ftp_v0.95 /opt/net2ftp
mv /opt/net2ftp/files_to_upload /opt/net2ftp/html
rm -rf net2ftp_v0.95.zip
rm -rf smeserver-net2ftp*

# Setting perms
chmod 777 /opt/net2ftp/html/temp


# Custom template fragment
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sigusr1
	     

echo "-------------------------------------------------------------------------------"
echo "$APP Installation finished."
echo "Please go to https://$DOMAINE/$URL"
echo "-------------------------------------------------------------------------------"

			     
%preun

# General Information
APP=net2ftp
URL=net2ftp
WORKDIR=/root
HTMLDIR=/opt/net2ftp


# Delete folder $HTMLDIR
echo "Deleting folder '$HTMLDIR'"
rm -rf $HTMLDIR


# Delete custom template fragment
/sbin/e-smith/expand-template etc/httpd/conf/httpd.conf
/etc/rc7.d/S86httpd-e-smith sigusr1

%postun
 
                                                                                     
